Index: /tags/ORCHIDEE_2_1/ORCHIDEE_OL/SPINUP/SUBJOB/OOL_SEC_STO/PARAM/orchidee.default
===================================================================
--- /tags/ORCHIDEE_2_1/ORCHIDEE_OL/SPINUP/SUBJOB/OOL_SEC_STO/PARAM/orchidee.default	(revision 5632)
+++ /tags/ORCHIDEE_2_1/ORCHIDEE_OL/SPINUP/SUBJOB/OOL_SEC_STO/PARAM/orchidee.default	(revision 5633)
@@ -6,5 +6,5 @@
 #
 #*******************************************************************************************
-#                    Namelist for ORCHIDEE (trunk revision 2135) 
+#                    Namelist for ORCHIDEE 
 #*******************************************************************************************
 #
@@ -18,12 +18,15 @@
 #*******************************************************************************************
 
-# DEBUG_INFO ([FLAG] ) :  Flag for debug information 	{[-]}
-DEBUG_INFO =  n 
+# LWDOWN_CONS ([FLAG]) :  Conserve longwave downwelling radiation in the forcing 	{}
+LWDOWN_CONS =  n 
+
+# SWDOWN_CONS ([FLAG]) :  Conserve shortwave downwelling radiation in the forcing 	{}
+SWDOWN_CONS =  LWDOWN_CONS 
 
 # FORCING_FILE ([FILE] ) :  Name of file containing the forcing data 	{[-]}
 FORCING_FILE =  forcing_file.nc 
 
-# SPLIT_DT ([-]) :  splits the timestep imposed by the forcing 	{NOT(WEATHERGEN)}
-SPLIT_DT =  12 
+# DT_SECHIBA ([seconds]) :  Time-step of the SECHIBA component 	{NOT(WEATHERGEN)}
+DT_SECHIBA =  1800. 
 
 # RESTART_FILEIN ([FILE]) :  Name of restart to READ for initial conditions 	{[-]}
@@ -40,5 +43,5 @@
 
 # TIME_LENGTH ([seconds, days, months, years]) :  Length of the integration in time. 	{[-]}
-TIME_LENGTH =  DEF 
+TIME_LENGTH =  Full length of the forcing file  
 
 # RELAXATION ([FLAG]) :  method of forcing 	{[-]}
@@ -48,17 +51,8 @@
 RELAX_A =  1.0 
 
-# NO_INTER  ([FLAG]) :  No interpolation IF split is larger than 1 	{[-]}
-NO_INTER  =  y 
-
-# INTER_LIN ([FLAG]) :  Interpolation IF split is larger than 1 	{[-]}
-INTER_LIN =  n 
-
 # SPRED_PREC ([-]) :  Spread the precipitation. 	{[-]}
-SPRED_PREC =  1 
-
-# NETRAD_CONS ([FLAG]) :  Conserve net radiation in the forcing 	{INTER_LIN}
-NETRAD_CONS =  y 
-
-# ATM_CO2 ([ppm]) :  Value for atm CO2 	{[-]}
+SPRED_PREC =  Half of the forcing time step or uniform, depending on dt_force and dt_sechiba 
+
+# ATM_CO2 ([ppm]) :  Value to precribe atmosoheric CO2 	{[FORCE_CO2_VEG=y or Offline mode]}
 ATM_CO2 =  350. 
 
@@ -87,4 +81,13 @@
 ZONAL_RES =  2. 
 
+# HEIGHT_LEV1 ([m]) :  Height at which T and Q are given 	{offline mode}
+HEIGHT_LEV1 =  2.0 
+
+# HEIGHT_LEVW ([m]) :  Height at which the wind is given 	{offline mode}
+HEIGHT_LEVW =  10.0 
+
+# NBUFF (-) :  Number of time steps of data to buffer between each reading of the forcing file 	{OFF_LINE}
+NBUFF =  1 
+
 # IPPREC ([-] ) :  Use prescribed values 	{ALLOW_WEATHERGEN}
 IPPREC =  0 
@@ -102,6 +105,6 @@
 DUMP_WEATHER_GATHERED =  y 
 
-# HEIGHT_LEV1 ([m]) :   	{DUMP_WEATHER}
-HEIGHT_LEV1 =  10. 
+# HEIGHT_LEV1_DUMP ([m]) :   	{DUMP_WEATHER}
+HEIGHT_LEV1_DUMP =  10. 
 
 #*******************************************************************************************
@@ -109,30 +112,9 @@
 #*******************************************************************************************
 
-# LONGPRINT ([FLAG]) :  ORCHIDEE will print more messages 	{OK_SECHIBA}
-LONGPRINT =  n 
-
-# CHECKTIME ([FLAG]) :  ORCHIDEE will print messages on time 	{OK_SECHIBA}
-CHECKTIME =  n 
-
 # SOILTYPE_CLASSIF ([-]) :  Type of classification used for the map of soil types  	{!IMPOSE_VEG}
 SOILTYPE_CLASSIF =  zobler 
 
-# ORCHIDEE_WATCHOUT ([FLAG]) :  ORCHIDEE will write out its forcing to a file 	{}
-ORCHIDEE_WATCHOUT =  n 
-
-# DT_WATCHOUT ([seconds]) :  ORCHIDEE will write out with this frequency 	{ORCHIDEE_WATCHOUT}
-DT_WATCHOUT =  dt 
-
-# WATCHOUT_FILE ([FILE]) :  Filenane for the ORCHIDEE forcing file 	{ORCHIDEE_WATCHOUT}
-WATCHOUT_FILE =  orchidee_watchout.nc 
-
 # RIVER_ROUTING ([FLAG]) :  Decides if we route the water or not 	{OK_SECHIBA}
-RIVER_ROUTING =  n 
-
-# HYDROL_CWRR ([FLAG]) :  Allows to switch on the multilayer hydrology of CWRR 	{OK_SECHIBA}
-HYDROL_CWRR =  n 
-
-# HYDROL_SOIL_DEPTH ([m]) :  Total depth of soil reservoir 	{OK_SECHIBA }
-HYDROL_SOIL_DEPTH =  4./ 2. (if HYDROL_CWRR) 
+RIVER_ROUTING =  y 
 
 # DO_IRRIGATION ([FLAG]) :  Should we compute an irrigation flux  	{RIVER_ROUTING }
@@ -142,23 +124,20 @@
 DO_FLOODPLAINS =  n 
 
-# CHECK_WATERBAL ([FLAG]  ) :  Should we check the global water balance  	{OK_SECHIBA}
-CHECK_WATERBAL =  n 
-
-# STOMATE_OK_CO2 ([FLAG]) :  Activate CO2? 	{OK_SECHIBA }
-STOMATE_OK_CO2 =  n 
-
-# STOMATE_OK_STOMATE ([FLAG]) :  Activate STOMATE? 	{OK_SECHIBA and OK_CO2}
-STOMATE_OK_STOMATE =  n 
+# STOMATE_OK_STOMATE ([FLAG]) :  Activate STOMATE? 	{OK_SECHIBA}
+STOMATE_OK_STOMATE =  y 
+
+# DO_WOOD_HARVEST ([FLAG]) :  Activate Wood Harvest ? 	{OK_STOMATE}
+DO_WOOD_HARVEST =  y 
 
 # STOMATE_OK_DGVM ([FLAG]) :  Activate DGVM? 	{OK_STOMATE}
 STOMATE_OK_DGVM =  n 
 
-# DIFFUCO_OK_INCA ([FLAG]) :  Activate DIFFUCO_INCA? 	{OK_SECHIBA}
-DIFFUCO_OK_INCA =  n 
-
-# LEAFAGE_OK_INCA ([FLAG]) :  Activate LEAFAGE? 	{DIFFUCO_OK_INCA}
-LEAFAGE_OK_INCA =  n 
-
-# CANOPY_EXTINCTION  ([FLAG]) :  Use canopy radiative transfer model? 	{DIFFUCO_OK_INCA }
+# CHEMISTRY_BVOC ([FLAG]) :  Activate calculations for BVOC 	{OK_SECHIBA}
+CHEMISTRY_BVOC =  n 
+
+# CHEMISTRY_LEAFAGE ([FLAG]) :  Activate LEAFAGE? 	{CHEMISTRY_BVOC}
+CHEMISTRY_LEAFAGE =  n 
+
+# CANOPY_EXTINCTION  ([FLAG]) :  Use canopy radiative transfer model? 	{CHEMISTRY_BVOC }
 CANOPY_EXTINCTION  =  n 
 
@@ -166,15 +145,12 @@
 CANOPY_MULTILAYER =  n 
 
-# NOx_RAIN_PULSE ([FLAG]) :  Calculate NOx emissions with pulse? 	{DIFFUCO_OK_INCA }
+# NOx_RAIN_PULSE ([FLAG]) :  Calculate NOx emissions with pulse? 	{CHEMISTRY_BVOC }
 NOx_RAIN_PULSE =  n 
 
-# NOx_BBG_FERTIL ([FLAG]) :  Calculate NOx emissions with bbg fertilizing effect? 	{DIFFUCO_OK_INCA }
+# NOx_BBG_FERTIL ([FLAG]) :  Calculate NOx emissions with bbg fertilizing effect? 	{CHEMISTRY_BVOC }
 NOx_BBG_FERTIL =  n 
 
-# NOx_FERTILIZERS_USE ([FLAG] ) :  Calculate NOx emissions with fertilizers use? 	{DIFFUCO_OK_INCA }
+# NOx_FERTILIZERS_USE ([FLAG] ) :  Calculate NOx emissions with fertilizers use? 	{CHEMISTRY_BVOC }
 NOx_FERTILIZERS_USE =  n 
-
-# STOMATE_WATCHOUT ([FLAG]) :  STOMATE does minimum service 	{OK_SECHIBA }
-STOMATE_WATCHOUT =  n 
 
 # NVM ([-]) :  number of PFTs   	{OK_SECHIBA or OK_STOMATE}
@@ -184,4 +160,67 @@
 IMPOSE_PARAM =  y 
 
+# DEPTH_MAX_T (m) :  Maximum depth of the soil thermodynamics 	{}
+DEPTH_MAX_T =  90.0 
+
+# DEPTH_MAX_H (m) :  Maximum depth of soil moisture 	{}
+DEPTH_MAX_H =  2.0 
+
+# DEPTH_TOPTHICK (m) :  Thickness of upper most Layer  	{}
+DEPTH_TOPTHICK =  9.77517107e-04 
+
+# DEPTH_CSTTHICK (m) :  Depth at which constant layer thickness start 	{}
+DEPTH_CSTTHICK =  DEPTH_MAX_H  
+
+# REFINEBOTTOM (-) :  Depth at which the hydrology layers will be refined towards the bottom. 	{}
+REFINEBOTTOM =  .FALSE. 
+
+# DEPTH_GEOM (m) :  Depth at which we resume geometrical increases for temperature 	{}
+DEPTH_GEOM =  DEPTH_MAX_H  
+
+# RATIO_GEOM_BELOW (-) :  Ratio of the geometrical series defining the thickness below DEPTH_GEOM 	{}
+RATIO_GEOM_BELOW =  2 
+
+# ALMA_OUTPUT ([FLAG]) :  Should the output follow the ALMA convention 	{OK_SECHIBA}
+ALMA_OUTPUT =  n 
+
+# OUTPUT_FILE ([FILE]) :  Name of file in which the output is going to be written 	{OK_SECHIBA}
+OUTPUT_FILE =  sechiba_history.nc 
+
+# WRITE_STEP ([seconds]) :  Frequency in seconds for sechiba_history.nc file with IOIPSL 	{OK_SECHIBA, NOT XIOS_ORCHIDEE_OK}
+WRITE_STEP =  86400. 
+
+# SECHIBA_HISTLEVEL ([-]) :  SECHIBA history output level (0..10) 	{OK_SECHIBA and HF}
+SECHIBA_HISTLEVEL =  5 
+
+# SECHIBA_HISTFILE2 ([FLAG]) :  Flag to switch on histfile 2 for SECHIBA (hi-frequency ?) 	{OK_SECHIBA}
+SECHIBA_HISTFILE2 =  n 
+
+# WRITE_STEP2 ([seconds]) :  Frequency in seconds at which to WRITE output 	{SECHIBA_HISTFILE2}
+WRITE_STEP2 =  1800.0 
+
+# SECHIBA_OUTPUT_FILE2 ([FILE]) :  Name of file in which the output number 2 is going to be written 	{SECHIBA_HISTFILE2}
+SECHIBA_OUTPUT_FILE2 =  sechiba_out_2.nc 
+
+# SECHIBA_HISTLEVEL2 ([-] ) :  SECHIBA history 2 output level (0..10) 	{SECHIBA_HISTFILE2}
+SECHIBA_HISTLEVEL2 =  1 
+
+# STOMATE_OUTPUT_FILE ([FILE]) :  Name of file in which STOMATE's output is going to be written 	{OK_STOMATE}
+STOMATE_OUTPUT_FILE =  stomate_history.nc 
+
+# STOMATE_HIST_DT ([days]) :  STOMATE history time step 	{OK_STOMATE}
+STOMATE_HIST_DT =  10. 
+
+# STOMATE_IPCC_OUTPUT_FILE ([FILE]) :  Name of file in which STOMATE's output is going to be written 	{OK_STOMATE}
+STOMATE_IPCC_OUTPUT_FILE =  stomate_ipcc_history.nc 
+
+# STOMATE_IPCC_HIST_DT ([days]) :  STOMATE IPCC history time step 	{OK_STOMATE}
+STOMATE_IPCC_HIST_DT =  0. 
+
+# OK_HISTSYNC ([FLAG]) :  Syncronize and write IOIPSL output files at each time step 	{}
+OK_HISTSYNC =  FALSE 
+
+# STOMATE_HISTLEVEL ([-]) :  STOMATE history output level (0..10) 	{OK_STOMATE}
+STOMATE_HISTLEVEL =  10 
+
 # SECHIBA_restart_in ([FILE]) :  Name of restart to READ for initial conditions 	{OK_SECHIBA }
 SECHIBA_restart_in =  NONE 
@@ -190,51 +229,15 @@
 SECHIBA_rest_out =  sechiba_rest_out.nc 
 
-# SECHIBA_reset_time ([FLAG]) :  Override the time from the restart files for SECHIBA and STOMATE 	{OK_SECHIBA}
-SECHIBA_reset_time =  y 
-
-# STOMATE_RESTART_FILEIN ([FILE]) :  Name of restart to READ for initial conditions of STOMATE 	{STOMATE_OK_STOMATE or STOMATE_WATCHOUT}
+# STOMATE_RESTART_FILEIN ([FILE]) :  Name of restart to READ for initial conditions of STOMATE 	{STOMATE_OK_STOMATE}
 STOMATE_RESTART_FILEIN =  NONE 
 
-# STOMATE_RESTART_FILEOUT ([FILE]) :  Name of restart files to be created by STOMATE 	{STOMATE_OK_STOMATE or STOMATE_WATCHOUT}
-STOMATE_RESTART_FILEOUT =  stomate_restart.nc 
-
-# ALMA_OUTPUT ([FLAG]) :  Should the output follow the ALMA convention 	{OK_SECHIBA}
-ALMA_OUTPUT =  n 
-
-# OUTPUT_FILE ([FILE]) :  Name of file in which the output is going to be written 	{OK_SECHIBA}
-OUTPUT_FILE =  sechiba_history.nc 
-
-# WRITE_STEP ([seconds]) :  Frequency in seconds at which to WRITE output 	{OK_SECHIBA}
-WRITE_STEP =  86400. 
-
-# SECHIBA_HISTLEVEL ([-]) :  SECHIBA history output level (0..10) 	{OK_SECHIBA and HF}
-SECHIBA_HISTLEVEL =  5 
-
-# SECHIBA_HISTFILE2 ([FLAG]) :  Flag to switch on histfile 2 for SECHIBA (hi-frequency ?) 	{OK_SECHIBA}
-SECHIBA_HISTFILE2 =  n 
-
-# WRITE_STEP2 ([seconds]) :  Frequency in seconds at which to WRITE output 	{SECHIBA_HISTFILE2}
-WRITE_STEP2 =  1800.0 
-
-# SECHIBA_OUTPUT_FILE2 ([FILE]) :  Name of file in which the output number 2 is going to be written 	{SECHIBA_HISTFILE2}
-SECHIBA_OUTPUT_FILE2 =  sechiba_out_2.nc 
-
-# SECHIBA_HISTLEVEL2 ([-] ) :  SECHIBA history 2 output level (0..10) 	{SECHIBA_HISTFILE2}
-SECHIBA_HISTLEVEL2 =  1 
-
-# STOMATE_OUTPUT_FILE ([FILE]) :  Name of file in which STOMATE's output is going to be written 	{OK_STOMATE}
-STOMATE_OUTPUT_FILE =  stomate_history.nc 
-
-# STOMATE_HIST_DT ([days]) :  STOMATE history time step 	{OK_STOMATE}
-STOMATE_HIST_DT =  10. 
-
-# STOMATE_IPCC_OUTPUT_FILE ([FILE]) :  Name of file in which STOMATE's output is going to be written 	{OK_STOMATE}
-STOMATE_IPCC_OUTPUT_FILE =  stomate_ipcc_history.nc 
-
-# STOMATE_IPCC_HIST_DT ([days]) :  STOMATE IPCC history time step 	{OK_STOMATE}
-STOMATE_IPCC_HIST_DT =  0. 
-
-# STOMATE_HISTLEVEL ([-]) :  STOMATE history output level (0..10) 	{OK_STOMATE}
-STOMATE_HISTLEVEL =  10 
+# STOMATE_RESTART_FILEOUT ([FILE]) :  Name of restart files to be created by STOMATE 	{STOMATE_OK_STOMATE}
+STOMATE_RESTART_FILEOUT =  stomate_rest_out.nc 
+
+# FORCE_CO2_VEG ([FLAG]) :  Flag to force the value of atmospheric CO2 for vegetation. 	{Only in coupled mode}
+FORCE_CO2_VEG =  FALSE 
+
+# TAU_OUTFLOW ([days]) :  Number of days over which the coastal- and riverflow will be distributed 	{Only in coupled mode}
+TAU_OUTFLOW =  0 
 
 # ECCENTRICITY ([-]) :  Use prescribed values 	{ALLOW_WEATHERGEN}
@@ -247,7 +250,4 @@
 OBLIQUITY =  23.446 
 
-# OK_THROUGHFALL_PFT ([FLAG]) :  Activate use of PERCENT_THROUGHFALL_PFT 	{HYDROL_CWRR}
-OK_THROUGHFALL_PFT =  FALSE 
-
 # PFT_TO_MTC ([-]) :  correspondance array linking a PFT to MTC 	{OK_SECHIBA or OK_STOMATE}
 PFT_TO_MTC =  1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13 
@@ -271,4 +271,10 @@
 SLOWPROC_HEIGHT =  0., 30., 30., 20., 20., 20., 15., 15., 15., .5, .6, 1., 1. 
 
+# Z0_OVER_HEIGHT ([-] ) :  factor to calculate roughness height from height of canopy  	{OK_SECHIBA}
+Z0_OVER_HEIGHT =  0., 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625, 0.0625 
+
+# RATIO_Z0M_Z0H ([-]) :  Ratio between z0m and z0h 	{OK_SECHIBA}
+RATIO_Z0M_Z0H =  1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0, 1.0  
+
 # TYPE_OF_LAI ([-]) :  Type of behaviour of the LAI evolution algorithm  	{OK_SECHIBA}
 TYPE_OF_LAI =  inter, inter, inter, inter, inter, inter, inter, inter, inter, inter, inter, inter, inter 
@@ -283,26 +289,29 @@
 VCMAX_FIX =  0., 40., 50., 30., 35., 40.,30., 40., 35., 60., 60., 70., 70. 
 
-# DOWNREGULATION_CO2_COEFF ([-]) :  coefficient for CO2 downregulation (unitless) 	{OK_CO2}
-DOWNREGULATION_CO2_COEFF =  0., 0.38, 0.38, 0.28, 0.28, 0.28, 0.22, 0.22, 0.22, 0.26, 0.26, 0.26, 0.26 
-
-# E_KmC ([J mol-1]) :  Energy of activation for KmC 	{OK_CO2}
+# DOWNREG_CO2 ([-]) :  coefficient for CO2 downregulation (unitless) 	{}
+DOWNREG_CO2 =  0., 0.38, 0.38, 0.28, 0.28, 0.28, 0.22, 0.22, 0.22, 0.26, 0.26, 0.26, 0.26 
+
+# E_KmC ([J mol-1]) :  Energy of activation for KmC 	{}
 E_KmC =  -9999.,  79430., 79430., 79430., 79430., 79430., 79430., 79430., 79430., 79430., 79430., 79430., 79430. 
 
-# E_KmO ([J mol-1]) :  Energy of activation for KmO 	{OK_CO2}
+# E_KmO ([J mol-1]) :  Energy of activation for KmO 	{}
 E_KmO =  -9999., 36380.,  36380.,  36380.,  36380.,  36380., 36380., 36380., 36380., 36380., 36380., 36380., 36380. 
 
-# E_gamma_star ([J mol-1]) :  Energy of activation for gamma_star 	{OK_CO2}
+# E_Sco ([J mol-1]) :  Energy of activation for Sco 	{}
+E_Sco =  -9999., -24460., -24460., -24460., -24460., -24460., -24460., -24460., -24460., -24460., -24460., -24460., -24460. 
+
+# E_gamma_star ([J mol-1]) :  Energy of activation for gamma_star 	{}
 E_gamma_star =  -9999., 37830.,  37830.,  37830.,  37830.,  37830., 37830., 37830., 37830., 37830., 37830., 37830., 37830. 
 
-# E_Vcmax ([J mol-1]) :  Energy of activation for Vcmax 	{OK_CO2}
+# E_Vcmax ([J mol-1]) :  Energy of activation for Vcmax 	{}
 E_Vcmax =  -9999., 71513., 71513., 71513., 71513., 71513., 71513., 71513., 71513., 71513., 67300., 71513., 67300. 
 
-# E_Jmax ([J mol-1]) :  Energy of activation for Jmax 	{OK_CO2}
+# E_Jmax ([J mol-1]) :  Energy of activation for Jmax 	{}
 E_Jmax =  -9999., 49884., 49884., 49884., 49884., 49884., 49884., 49884., 49884., 49884., 77900., 49884., 77900.  
 
-# aSV ([J K-1 mol-1]) :  a coefficient of the linear regression (a+bT) defining the Entropy term for Vcmax 	{OK_CO2}
+# aSV ([J K-1 mol-1]) :  a coefficient of the linear regression (a+bT) defining the Entropy term for Vcmax 	{}
 aSV =  -9999., 668.39, 668.39, 668.39, 668.39, 668.39, 668.39, 668.39, 668.39, 668.39, 641.64, 668.39, 641.64  
 
-# bSV ([J K-1 mol-1 Â°C-1]) :  b coefficient of the linear regression (a+bT) defining the Entropy term for Vcmax 	{OK_CO2}
+# bSV ([J K-1 mol-1 Â°C-1]) :  b coefficient of the linear regression (a+bT) defining the Entropy term for Vcmax 	{}
 bSV =  -9999., -1.07, -1.07, -1.07, -1.07, -1.07, -1.07, -1.07, -1.07, -1.07, 0., -1.07, 0.  
 
@@ -313,21 +322,30 @@
 TPHOTO_MAX =  -9999., 55., 55., 55., 55., 55., 55., 55., 55., 55., 55., 55., 55. 
 
-# aSJ ([J K-1 mol-1]) :  a coefficient of the linear regression (a+bT) defining the Entropy term for Jmax 	{OK_CO2}
+# aSJ ([J K-1 mol-1]) :  a coefficient of the linear regression (a+bT) defining the Entropy term for Jmax 	{}
 aSJ =  -9999., 659.70, 659.70, 659.70, 659.70, 659.70, 659.70, 659.70, 659.70, 659.70, 630., 659.70, 630.  
 
-# bSJ ([J K-1 mol-1 Â°C-1]) :  b coefficient of the linear regression (a+bT) defining the Entropy term for Jmax 	{OK_CO2}
+# bSJ ([J K-1 mol-1 Â°C-1]) :  b coefficient of the linear regression (a+bT) defining the Entropy term for Jmax 	{}
 bSJ =  -9999., -0.75, -0.75, -0.75, -0.75, -0.75, -0.75, -0.75, -0.75, -0.75, 0., -0.75, 0.  
 
-# D_Vcmax ([J mol-1]) :  Energy of deactivation for Vcmax 	{OK_CO2}
+# D_Vcmax ([J mol-1]) :  Energy of deactivation for Vcmax 	{}
 D_Vcmax =  -9999., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 192000., 200000., 192000. 
 
-# D_Jmax ([J mol-1]) :  Energy of deactivation for Jmax 	{OK_CO2}
+# D_Jmax ([J mol-1]) :  Energy of deactivation for Jmax 	{}
 D_Jmax =  -9999., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 200000., 192000., 200000., 192000. 
 
-# E_Rd ([J mol-1]) :  Energy of activation for Rd 	{OK_CO2}
+# E_gm  ([J mol-1] ) :  Energy of activation for gm  	{ }
+E_gm  =  -9999., 49600., 49600., 49600., 49600., 49600., 49600., 49600., 49600., 49600., -9999., 49600., -9999.  
+
+# S_gm  ([J K-1 mol-1] ) :  Entropy term for gm  	{ }
+S_gm  =  -9999., 1400., 1400., 1400., 1400., 1400., 1400., 1400., 1400., 1400., -9999., 1400., -9999.  
+
+# D_gm  ([J mol-1] ) :  Energy of deactivation for gm  	{ }
+D_gm  =  -9999., 437400., 437400., 437400., 437400., 437400., 437400., 437400., 437400., 437400., -9999., 437400., -9999.  
+
+# E_Rd ([J mol-1]) :  Energy of activation for Rd 	{}
 E_Rd =  -9999., 46390., 46390., 46390., 46390., 46390., 46390., 46390., 46390., 46390., 46390., 46390., 46390. 
 
 # VCMAX25 ([micromol/m^2/s]) :  Maximum rate of Rubisco activity-limited carboxylation at 25Â°C 	{OK_STOMATE}
-VCMAX25 =  -9999., 65., 65., 35., 45., 55., 35., 45., 35., 70., 70., 70., 70. 
+VCMAX25 =  -9999., 45.0, 45.0, 35.0, 40.0, 50.0, 45.0, 35.0, 35.0, 50.0, 50.0, 60.0, 60.0 
 
 # ARJV ([mu mol e- (mu mol CO2)-1]) :  a coefficient of the linear regression (a+bT) defining the Jmax25/Vcmax25 ratio  	{OK_STOMATE}
@@ -337,54 +355,72 @@
 BRJV =  -9999., -0.035, -0.035, -0.035, -0.035, -0.035, -0.035, -0.035, -0.035, -0.035, 0., -0.035, 0. 
 
-# KmC25 ([ubar]) :  MichaelisâMenten constant of Rubisco for CO2 at 25Â°C 	{OK_CO2}
+# KmC25 ([ubar]) :  MichaelisâMenten constant of Rubisco for CO2 at 25Â°C 	{}
 KmC25 =  -9999., 404.9, 404.9, 404.9, 404.9, 404.9, 404.9, 404.9, 404.9, 404.9, 650., 404.9, 650. 
 
-# KmO25 ([ubar]) :  MichaelisâMenten constant of Rubisco for O2 at 25Â°C 	{OK_CO2}
+# KmO25 ([ubar]) :  MichaelisâMenten constant of Rubisco for O2 at 25Â°C 	{}
 KmO25 =  -9999., 278400., 278400., 278400., 278400., 278400., 278400., 278400., 278400., 278400., 450000., 278400., 450000. 
 
-# gamma_star25 ([ubar]) :  Ci-based CO2 compensation point in the absence of Rd at 25Â°C (ubar) 	{OK_CO2}
+# Sco25 ([bar bar-1]) :  Relative CO2 /O2 specificity factor for Rubisco at 25ÃÂ°C 	{}
+Sco25 =  -9999., 2800., 2800., 2800., 2800., 2800., 2800., 2800., 2800., 2800., 2590., 2800., 2590. 
+
+# gm25  ([mol m-2 s-1 bar-1] ) :  Mesophyll diffusion conductance at 25ÃÂÃÂ°C  	{ }
+gm25  =  -9999., 0.4, 0.4, 0.4, 0.4, 0.4, 0.4, 0.4, 0.4, 0.4, -9999., 0.4, -9999.  
+
+# gamma_star25 ([ubar]) :  Ci-based CO2 compensation point in the absence of Rd at 25Â°C (ubar) 	{}
 gamma_star25 =  -9999., 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75, 42.75 
 
-# a1 ([-]) :  Empirical factor involved in the calculation of fvpd 	{OK_CO2}
-a1 =  -9999., 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85 
-
-# b1 ([-]) :  Empirical factor involved in the calculation of fvpd 	{OK_CO2}
+# a1 ([-]) :  Empirical factor involved in the calculation of fvpd 	{}
+a1 =  -9999., 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.85, 0.72, 0.85, 0.72 
+
+# b1 ([-]) :  Empirical factor involved in the calculation of fvpd 	{}
 b1 =  -9999., 0.14, 0.14, 0.14, 0.14, 0.14, 0.14, 0.14, 0.14, 0.14, 0.20, 0.14, 0.20 
 
-# g0 ([mol mâ2 sâ1 barâ1]) :  Residual stomatal conductance when irradiance approaches zero  	{OK_CO2}
+# g0 ([mol mâ2 sâ1 barâ1]) :  Residual stomatal conductance when irradiance approaches zero  	{}
 g0 =  -9999., 0.00625, 0.00625, 0.00625, 0.00625, 0.00625, 0.00625, 0.00625, 0.00625, 0.00625, 0.01875, 0.00625, 0.01875  
 
-# h_protons ([mol mol-1]) :  Number of protons required to produce one ATP 	{OK_CO2}
+# h_protons ([mol mol-1]) :  Number of protons required to produce one ATP 	{}
 h_protons =  -9999., 4., 4., 4., 4., 4., 4., 4., 4., 4., 4., 4., 4.  
 
-# fpsir ([-]) :  Fraction of PSII eâ transport rate partitioned to the C4 cycle 	{OK_CO2}
+# fpsir ([-]) :  Fraction of PSII eâ transport rate partitioned to the C4 cycle 	{}
 fpsir =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 0.4, -9999., 0.4  
 
-# fQ ([-]) :  Fraction of electrons at reduced plastoquinone that follow the Q-cycle 	{OK_CO2}
+# fQ ([-]) :  Fraction of electrons at reduced plastoquinone that follow the Q-cycle 	{}
 fQ =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 1., -9999., 1. 
 
-# fpseudo ([-]) :  Fraction of electrons at PSI that follow pseudocyclic transport  	{OK_CO2}
+# fpseudo ([-]) :  Fraction of electrons at PSI that follow pseudocyclic transport  	{}
 fpseudo =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 0.1, -9999., 0.1 
 
-# kp ([mol mâ2 sâ1 barâ1]) :  Initial carboxylation efficiency of the PEP carboxylase 	{OK_CO2}
+# kp ([mol mâ2 sâ1 barâ1]) :  Initial carboxylation efficiency of the PEP carboxylase 	{}
 kp =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 0.7, -9999., 0.7 
 
-# alpha ([-]) :  Fraction of PSII activity in the bundle sheath 	{OK_CO2}
+# alpha ([-]) :  Fraction of PSII activity in the bundle sheath 	{}
 alpha =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 0.1, -9999., 0.1 
 
-# gbs ([mol mâ2 sâ1 barâ1]) :  Bundle-sheath conductance 	{OK_CO2}
+# gbs ([mol mâ2 sâ1 barâ1]) :  Bundle-sheath conductance 	{}
 gbs =  -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., -9999., 0.003, -9999., 0.003 
 
-# theta ([â]) :  Convexity factor for response of J to irradiance 	{OK_CO2}
+# theta ([â]) :  Convexity factor for response of J to irradiance 	{}
 theta =  -9999., 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7, 0.7 
 
-# alpha_LL ([mol eâ (mol photon)â1]) :  Conversion efficiency of absorbed light into J at strictly limiting light 	{OK_CO2}
+# alpha_LL ([mol eâ (mol photon)â1]) :  Conversion efficiency of absorbed light into J at strictly limiting light 	{}
 alpha_LL =  -9999., 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372, 0.372 
+
+# STRESS_VCMAX ([-]) :  Stress on vcmax 	{OK_SECHIBA or OK_STOMATE}
+STRESS_VCMAX =  1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1. 
+
+# STRESS_GS ([-]) :  Stress on gs 	{OK_SECHIBA or OK_STOMATE}
+STRESS_GS =  1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1. 
+
+# STRESS_GM ([-]) :  Stress on gm 	{OK_SECHIBA or OK_STOMATE}
+STRESS_GM =  1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1. 
 
 # EXT_COEFF ([-]) :  extinction coefficient of the Monsi&Seaki relationship (1953) 	{OK_SECHIBA or OK_STOMATE}
 EXT_COEFF =  .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5, .5 
 
+# EXT_COEFF_VEGETFRAC ([-]) :  extinction coefficient used for the calculation of the bare soil fraction  	{OK_SECHIBA or OK_STOMATE}
+EXT_COEFF_VEGETFRAC =  1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1., 1. 
+
 # HYDROL_HUMCSTE ([m]) :  Root profile 	{OK_SECHIBA}
-HYDROL_HUMCSTE =  humcste_cwrr or humcste_mct depending on flag HYDROL_CWRR 
+HYDROL_HUMCSTE =  humcste_ref2m or humcste_ref4m depending on zmaxh 
 
 # PREF_SOIL_VEG ([-]        ) :  The soil tile number for each vegetation 	{OK_SECHIBA or OK_STOMATE}
